package com.yd.dal.entity.practitioner.hiring;

/**
 * @author xxy
 */
public class HiringMemberShip {

    /**
     * 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    private String practitionerLevelId;

    /**
     * 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    private String practitionerLevel;

    /**
     * 辅导人
     */
    private String mentor;

    /**
     * 介绍人
     */
    private String introducer;

    /**
     * 体系
     */
    private String subsystem;

    /**
     * 体系负责人
     */
    private String subsystemOwner;

    /**
     * 分公司
     */
    private String branch;


    /**
     * 获取 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @return practitionerLevelCode 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public String getPractitionerLevelId() {
        return this.practitionerLevelId;
    }

    /**
     * 设置 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @param practitionerLevelId 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public void setPractitionerLevelId(String practitionerLevelId) {
        this.practitionerLevelId = practitionerLevelId;
    }

    /**
     * 获取 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @return practitionerLevel 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public String getPractitionerLevel() {
        return this.practitionerLevel;
    }

    /**
     * 设置 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     *
     * @param practitionerLevel 報聘经纪人职级类型 FK ag_md_drop_options.id: ag_md_drop_master.scenario_code = "practitioner_level"
     */
    public void setPractitionerLevel(String practitionerLevel) {
        this.practitionerLevel = practitionerLevel;
    }

    /**
     * 获取 辅导人
     *
     * @return mentor 辅导人
     */
    public String getMentor() {
        return this.mentor;
    }

    /**
     * 设置 辅导人
     *
     * @param mentor 辅导人
     */
    public void setMentor(String mentor) {
        this.mentor = mentor;
    }

    /**
     * 获取 介绍人
     *
     * @return introducer 介绍人
     */
    public String getIntroducer() {
        return this.introducer;
    }

    /**
     * 设置 介绍人
     *
     * @param introducer 介绍人
     */
    public void setIntroducer(String introducer) {
        this.introducer = introducer;
    }

    /**
     * 获取 体系
     *
     * @return subsystem 体系
     */
    public String getSubsystem() {
        return this.subsystem;
    }

    /**
     * 设置 体系
     *
     * @param subsystem 体系
     */
    public void setSubsystem(String subsystem) {
        this.subsystem = subsystem;
    }

    /**
     * 获取 体系负责人
     *
     * @return subsystemOwner 体系负责人
     */
    public String getSubsystemOwner() {
        return this.subsystemOwner;
    }

    /**
     * 设置 体系负责人
     *
     * @param subsystemOwner 体系负责人
     */
    public void setSubsystemOwner(String subsystemOwner) {
        this.subsystemOwner = subsystemOwner;
    }

    /**
     * 获取 分公司
     *
     * @return branch 分公司
     */
    public String getBranch() {
        return this.branch;
    }

    /**
     * 设置 分公司
     *
     * @param branch 分公司
     */
    public void setBranch(String branch) {
        this.branch = branch;
    }

    @Override
    public String toString() {
        return "PractitionerHiringMemberShip{" +
                "practitionerLevelId='" + practitionerLevelId + '\'' +
                ", practitionerLevel='" + practitionerLevel + '\'' +
                ", mentor='" + mentor + '\'' +
                ", introducer='" + introducer + '\'' +
                ", subsystem='" + subsystem + '\'' +
                ", subsystemOwner='" + subsystemOwner + '\'' +
                ", branch='" + branch + '\'' +
                '}';
    }
}
